at.chipkarte.client.base.soap.constants

## Class PatientServiceExceptionConstants

- Object
- - at.chipkarte.client.base.soap.constants.PatientServiceExceptionConstants

-     public final class PatientServiceExceptionConstants
      extends Object

  Fehlerkonstanten für Fehler im Zusammenhang der Überprüfung des Patienten.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHOOSE_ABGELEITETEN_ANSPRUCH_1` Einer der abgeleiteten Ansprüche muss ausgewählt werden.
    `static int` | `CHOOSE_ABGELEITETEN_ANSPRUCH_2` Einer der abgeleiteten Ansprüche muss ausgewählt werden.
    `static int` | `CHOOSE_ABGELEITETEN_ANSPRUCH_3` Einer der abgeleiteten Ansprüche muss ausgewählt werden ORCLI-Code: ZS-20009
    `static int` | `CHOOSE_ABGELEITETEN_ANSPRUCH_4` Einer der abgeleiteten Ansprüche muss ausgewählt werden.
    `static int` | `CHOOSE_ANSPRUCH_1` Einer der ÖGK-Ansprüche muss ausgewählt werden.
    `static int` | `CHOOSE_ANSPRUCH_2` Einer der ÖGK-Ansprüche muss ausgewählt werden.
    `static int` | `CHOOSE_ERMITTELTEN_ANSPRUCH` Einer der ermittelten KV Träger muss ausgewählt werden.
    `static int` | `CHOOSE_KVT` Ein KV-Träger muss ausgewählt werden.
    `static int` | `CHOOSEN_ABGELEITETER_ANSPRUCH_INVALID` Der gewählte abgeleitete KV-Anspruch ist nicht (mehr) gültig.
    `static int` | `KVT_UEBERSTEUERT_1` KVT <Leistungszuständiger KVT> wurde mit <KVT> übersteuert.
    `static int` | `KVT_UEBERSTEUERT_2` KVT <Leistungszuständiger KVT> wurde mit <KVT> übersteuert.
    `static int` | `MEHRFACHVERSICHERT_INSERT_KVT_1` Es liegt eine Mehrfachversicherung vor - KV-Träger muss erfasst werden.
    `static int` | `MEHRFACHVERSICHERT_INSERT_KVT_2` Es liegt eine Mehrfachversicherung vor - KV-Träger muss erfasst werden.
    `static int` | `MEHRFACHVERSICHERT_INVALID_CHOOSEN_1` Der Patient hat keinen gültigen KV-Anspruch mit dem ausgewählten KV-Träger, ist aber mehrfach versichert.
    `static int` | `MEHRFACHVERSICHERT_INVALID_CHOOSEN_2` Der Patient hat keinen gültigen KV-Anspruch mit dem ausgewählten KV-Träger, ist aber mehrfach versichert.
    `static int` | `NEEDED_ERSATZBELEG_FOUND` Keine gültige e-card!
    `static int` | `NEEDED_ERSATZBELEG_NOT_FOUND` Keine gültige e-card!
    `static int` | `NO_ERSATZBELEG_FOUND_FOR_GIVEN_CODE` Keine gültige e-card!
    `static int` | `NO_SERVICE_ANSPRUCH` Der Patient hat keinen für das Service relevanten KV-Anspruch.
    `static int` | `NO_SERVICE_ANSPRUCH_FOR_KVT_BUT_OTHERS` Der Patient hat beim angegebenen KV-Träger keinen für das Service gültigen Anspruch, aber bei einem oder mehreren anderen.
    `static int` | `NO_VALID_ANSPRUCH` Die Person mit der Versicherungsnummer <VSNR> hat keinen gültigen KV-Anspruch.
    `static int` | `ONLY_ABGELEITETE` Der Patient hat nur abgeleitete Versicherungsansprüche.
    `static int` | `ONLY_S2` Der Patient hat nur Ansprüche, die für qualifizierte Sachleistungen S2 berechtigen.
    `static int` | `ONLY_SERVICEINCOMPATIBLE_VERSICHERTENSARTEN` Der Patient hat nur Ansprüche bei KV-Trägern mit Versichertenarten, die nicht innerhalb des Services unterstützt werden.
    `static int` | `OTHER_ERSATZBELEG_FOUND` Keine gültige e-card!

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_ERSATZBELEG_FOUND_FOR_GIVEN_CODE

          public static final int NO_ERSATZBELEG_FOUND_FOR_GIVEN_CODE

      Keine gültige e-card! Patient vor Ort: e-Rezept Ausdruck übergeben. Sonst: 12-stellige REZ-ID telefonisch. Patient muss Foto bringen. Folder übergeben! KEINE Konsultationsbuchung möglich: der Ersatzbelegcode {0} ist falsch oder abgelaufen.
      ORCLI-Code: ZS-20025
      See Also:
        Constant Field Values

    - #### OTHER_ERSATZBELEG_FOUND

          public static final int OTHER_ERSATZBELEG_FOUND

      Keine gültige e-card! Patient vor Ort: e-Rezept Ausdruck übergeben. Sonst: 12-stellige REZ-ID telefonisch. Patient muss Foto bringen. Folder übergeben! Der Ersatzbelegcode {0} ist falsch oder abgelaufen, ein anderer Ersatzbelegcode ist im e-card System bekannt.
      ORCLI-Code: ZS-20026
      See Also:
        Constant Field Values

    - #### NEEDED_ERSATZBELEG_FOUND

          public static final int NEEDED_ERSATZBELEG_FOUND

      Keine gültige e-card! Patient vor Ort: e-Rezept Ausdruck übergeben. Sonst: 12-stellige REZ-ID telefonisch. Patient muss Foto bringen. Folder übergeben! Konsultationsbuchung ist mit elektronischem e-card Ersatzbeleg möglich.
      ORCLI-Code: ZS-20027
      See Also:
        Constant Field Values

    - #### NEEDED_ERSATZBELEG_NOT_FOUND

          public static final int NEEDED_ERSATZBELEG_NOT_FOUND

      Keine gültige e-card! Patient vor Ort: e-Rezept Ausdruck übergeben. Sonst: 12-stellige REZ-ID telefonisch. Patient muss Foto bringen. Folder übergeben! KEINE Konsultationsbuchung möglich: Übergangsfrist abgelaufen und kein gültiger e-card Ersatzbeleg.
      ORCLI-Code: ZS-20028
      See Also:
        Constant Field Values

    - #### NO_VALID_ANSPRUCH

          public static final int NO_VALID_ANSPRUCH

      Die Person mit der Versicherungsnummer <VSNR> hat keinen gültigen KV-Anspruch.
      ORCLI-Code: ZS-20003
      See Also:
        Constant Field Values

    - #### KVT_UEBERSTEUERT_1

          public static final int KVT_UEBERSTEUERT_1

      KVT <Leistungszuständiger KVT> wurde mit <KVT> übersteuert.
      ORCLI-Code: ZS-20004
      See Also:
        Constant Field Values

    - #### CHOOSE_ANSPRUCH_1

          public static final int CHOOSE_ANSPRUCH_1

      Einer der ÖGK-Ansprüche muss ausgewählt werden.
      ORCLI-Code: ZS-20005
      See Also:
        Constant Field Values

    - #### CHOOSE_ABGELEITETEN_ANSPRUCH_1

          public static final int CHOOSE_ABGELEITETEN_ANSPRUCH_1

      Einer der abgeleiteten Ansprüche muss ausgewählt werden.
      ORCLI-Code: ZS-20006
      See Also:
        Constant Field Values

    - #### CHOOSE_ABGELEITETEN_ANSPRUCH_2

          public static final int CHOOSE_ABGELEITETEN_ANSPRUCH_2

      Einer der abgeleiteten Ansprüche muss ausgewählt werden.
      ORCLI-Code: ZS-20007
      See Also:
        Constant Field Values

    - #### MEHRFACHVERSICHERT_INSERT_KVT_1

          public static final int MEHRFACHVERSICHERT_INSERT_KVT_1

      Es liegt eine Mehrfachversicherung vor - KV-Träger muss erfasst werden.
      ORCLI-Code: ZS-20008
      See Also:
        Constant Field Values

    - #### CHOOSE_ABGELEITETEN_ANSPRUCH_3

          public static final int CHOOSE_ABGELEITETEN_ANSPRUCH_3

      Einer der abgeleiteten Ansprüche muss ausgewählt werden
      ORCLI-Code: ZS-20009
      See Also:
        Constant Field Values

    - #### CHOOSEN_ABGELEITETER_ANSPRUCH_INVALID

          public static final int CHOOSEN_ABGELEITETER_ANSPRUCH_INVALID

      Der gewählte abgeleitete KV-Anspruch ist nicht (mehr) gültig.
      ORCLI-Code: ZS-20010
      See Also:
        Constant Field Values

    - #### KVT_UEBERSTEUERT_2

          public static final int KVT_UEBERSTEUERT_2

      KVT <Leistungszuständiger KVT> wurde mit <KVT> übersteuert.
      ORCLI-Code: ZS-20011
      See Also:
        Constant Field Values

    - #### CHOOSE_ANSPRUCH_2

          public static final int CHOOSE_ANSPRUCH_2

      Einer der ÖGK-Ansprüche muss ausgewählt werden.
      ORCLI-Code: ZS-20012
      See Also:
        Constant Field Values

    - #### MEHRFACHVERSICHERT_INVALID_CHOOSEN_1

          public static final int MEHRFACHVERSICHERT_INVALID_CHOOSEN_1

      Der Patient hat keinen gültigen KV-Anspruch mit dem ausgewählten KV-Träger, ist aber mehrfach versichert.
      ORCLI-Code: ZS-20013
      See Also:
        Constant Field Values

    - #### CHOOSE_ABGELEITETEN_ANSPRUCH_4

          public static final int CHOOSE_ABGELEITETEN_ANSPRUCH_4

      Einer der abgeleiteten Ansprüche muss ausgewählt werden.
      ORCLI-Code: ZS-20014
      See Also:
        Constant Field Values

    - #### MEHRFACHVERSICHERT_INVALID_CHOOSEN_2

          public static final int MEHRFACHVERSICHERT_INVALID_CHOOSEN_2

      Der Patient hat keinen gültigen KV-Anspruch mit dem ausgewählten KV-Träger, ist aber mehrfach versichert.
      ORCLI-Code: ZS-20015
      See Also:
        Constant Field Values

    - #### NO_SERVICE_ANSPRUCH

          public static final int NO_SERVICE_ANSPRUCH

      Der Patient hat keinen für das Service relevanten KV-Anspruch.
      ORCLI-Code: ZS-20016
      See Also:
        Constant Field Values

    - #### ONLY_ABGELEITETE

          public static final int ONLY_ABGELEITETE

      Der Patient hat nur abgeleitete Versicherungsansprüche.
      ORCLI-Code: ZS-20017
      See Also:
        Constant Field Values

    - #### ONLY_S2

          public static final int ONLY_S2

      Der Patient hat nur Ansprüche, die für qualifizierte Sachleistungen S2 berechtigen.
      ORCLI-Code: ZS-20018
      See Also:
        Constant Field Values

    - #### ONLY_SERVICEINCOMPATIBLE_VERSICHERTENSARTEN

          public static final int ONLY_SERVICEINCOMPATIBLE_VERSICHERTENSARTEN

      Der Patient hat nur Ansprüche bei KV-Trägern mit Versichertenarten, die nicht innerhalb des Services unterstützt werden.
      ORCLI-Code: ZS-20019
      See Also:
        Constant Field Values

    - #### CHOOSE_ERMITTELTEN_ANSPRUCH

          public static final int CHOOSE_ERMITTELTEN_ANSPRUCH

      Einer der ermittelten KV Träger muss ausgewählt werden.
      ORCLI-Code: ZS-20020
      See Also:
        Constant Field Values

    - #### CHOOSE_KVT

          public static final int CHOOSE_KVT

      Ein KV-Träger muss ausgewählt werden.
      ORCLI-Code: ZS-20021
      See Also:
        Constant Field Values

    - #### NO_SERVICE_ANSPRUCH_FOR_KVT_BUT_OTHERS

          public static final int NO_SERVICE_ANSPRUCH_FOR_KVT_BUT_OTHERS

      Der Patient hat beim angegebenen KV-Träger keinen für das Service gültigen Anspruch, aber bei einem oder mehreren anderen.
      ORCLI-Code: ZS-20022
      See Also:
        Constant Field Values

    - #### MEHRFACHVERSICHERT_INSERT_KVT_2

          public static final int MEHRFACHVERSICHERT_INSERT_KVT_2

      Es liegt eine Mehrfachversicherung vor - KV-Träger muss erfasst werden.
      ORCLI-Code: ZS-20023
      See Also:
        Constant Field Values